/***************************************************************************************
	Copyright 2000-2001 ATMEL Corporation.
	
	This file is part of atmel wireless lan drivers.

    Atmel wireless lan drivers is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Atmel wireless lan drivers is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Atmel wireless lan drivers; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**************************************************************************************/
#include "vnet.h"

#define __NO_VERSION__
#if defined(PCMCIA_DEBUG)||defined(PCI_DEBUG)

VOID
DbgPrint (const char *fmt, ...)
{
  ULONG i[300];
  va_list ap;
  int j = 0;
  const char *keep;

  keep = fmt;

  va_start (ap, fmt);
  while (*fmt)
    {
      if (*fmt++ == '%')
	{
	  switch (*fmt++)
	    {
	    case 's':
	      i[j++] = (ULONG) (char *) va_arg (ap, char *);
	      break;
	    case '0':
	      *fmt++;
	    case 'X':
	    case 'x':
	      i[j++] = (int) va_arg (ap, int);
	      break;
	    case 'd':
	      i[j++] = (int) va_arg (ap, int);
	      break;
	    case 'c':
	      i[j++] = (int) va_arg (ap, int);
	      break;
	    }
	}
      else
	continue;
    }
  va_end (ap);
  fmt = keep;
  printk (fmt, i[0], i[1], i[2], i[3], i[4], i[5], i[6], i[7], i[8], i[9],
	  i[10], i[11], i[12], i[13], i[14], i[15], i[16], i[17], i[18],
	  i[19], i[20], i[21], i[22], i[23], i[24], i[25], i[26], i[27],
	  i[28], i[29]);
}


#endif
